<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app>

  <!-- Only needed for shark workflow engine
  <listener>
  	<listener-class>vkc.ws.axis.listener.AxisHTTPSessionListener</listener-class>
  </listener>
  -->

  <servlet>

    <servlet-name>action</servlet-name>
    <servlet-class>vkc.servlets.VKCActionServlet</servlet-class>
    
    <init-param>
      <param-name>debug</param-name>
      <param-value>2</param-value>
    </init-param>

    <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/struts-config.xml</param-value>
    </init-param>
    
    <init-param>
      <param-name>config/workflow</param-name>
      <param-value>/WEB-INF/struts-workflow.xml</param-value>
    </init-param>

    <init-param>
      <param-name>detail</param-name>
      <param-value>2</param-value>
    </init-param>

    <init-param>
      <param-name>validate</param-name>
      <param-value>true</param-value>
    </init-param>

    <load-on-startup>2</load-on-startup>

  </servlet>
  
  <servlet>
    <servlet-name>cssFilterServlet</servlet-name>
    <servlet-class>vkc.servlets.CssFilterServlet</servlet-class>
  </servlet>

  <servlet>
    <servlet-name>displayFile</servlet-name>
    <servlet-class>vkc.servlets.DisplayFileServlet</servlet-class>
  </servlet>
  
  <servlet>
    <servlet-name>display</servlet-name>
    <servlet-class>vkc.servlets.DisplayServlet</servlet-class>
  </servlet>

  <servlet>
    <servlet-name>displayAscii</servlet-name>
    <servlet-class>vkc.servlets.DisplayAsciiServlet</servlet-class>
  </servlet>

  <servlet>
    <servlet-name>downloadFile</servlet-name>
    <servlet-class>vkc.servlets.DownloadFileServlet</servlet-class>
  </servlet>

  <servlet>
    <servlet-name>startupServlet</servlet-name>
    <servlet-class>vkc.servlets.StartupServlet</servlet-class>
    <load-on-startup>1</load-on-startup>
  </servlet>

  <servlet>
    <servlet-name>vkcWebdav</servlet-name>
    <servlet-class>vkc.webdav.WebDavServlet</servlet-class>
  </servlet>

  <!-- Only needed for shark workflow engine
  <servlet>
    <servlet-name>AxisServlet</servlet-name>
    <display-name>Apache-Axis Servlet</display-name>
    <servlet-class>org.apache.axis.transport.http.AxisServlet</servlet-class>
  </servlet>
  -->
  
  <servlet>
    <servlet-name>DisplayChart</servlet-name>
    <servlet-class>org.jfree.chart.servlet.DisplayChart</servlet-class>
 </servlet>  
  
  <servlet-mapping>
    <servlet-name>cssFilterServlet</servlet-name>
    <url-pattern>*.css</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>action</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>displayFile</servlet-name>
    <url-pattern>/displayFile</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>display</servlet-name>
    <url-pattern>/display/*</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>displayAscii</servlet-name>
    <url-pattern>/displayAscii/*</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>downloadFile</servlet-name>
    <url-pattern>/downloadFile</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>vkcWebdav</servlet-name>
    <url-pattern>/dav/*</url-pattern>
  </servlet-mapping>

  <!-- Only needed for shark workflow engine
  <servlet-mapping>
    <servlet-name>AxisServlet</servlet-name>
    <url-pattern>/servlet/AxisServlet</url-pattern>
  </servlet-mapping>
  
  <servlet-mapping>
    <servlet-name>AxisServlet</servlet-name>
    <url-pattern>*.jws</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>AxisServlet</servlet-name>
    <url-pattern>/services/*</url-pattern>
  </servlet-mapping>
  -->

  <servlet-mapping>
     <servlet-name>DisplayChart</servlet-name>
     <url-pattern>/servlet/DisplayChart</url-pattern>
  </servlet-mapping>

  <mime-mapping>
    <extension>wsdl</extension>
    <mime-type>text/xml</mime-type>
  </mime-mapping>

  <mime-mapping>
    <extension>xsd</extension>
    <mime-type>text/xml</mime-type>
  </mime-mapping>

  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
  </welcome-file-list>

  <taglib>
    <taglib-uri>struts-bean</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-bean.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-html</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-html.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-layout</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-layout.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-logic</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-logic.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-nested</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-nested.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-template</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-template.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>struts-tiles</taglib-uri>
    <taglib-location>/WEB-INF/taglib/struts-tiles.tld</taglib-location>
  </taglib>

  <taglib>
    <taglib-uri>vkc-taglib</taglib-uri>
    <taglib-location>/WEB-INF/taglib/vkc-taglib.tld</taglib-location>
  </taglib>
  
  <!-- Diesen Abschnitt bei SSL-Betrieb aktivieren -->
  <!-- Bitte beachten, dass durch einen Bug im IE (Apache Bug Database #19145) -->
  <!-- nur der Standart-SSL-Port 443 verwendet werden kann! 
  <security-constraint>
   	<web-resource-collection>
      <web-resource-name>tomcat</web-resource-name>
      <url-pattern>/*</url-pattern>
    </web-resource-collection>
    <user-data-constraint>
      <transport-guarantee>INTEGRAL</transport-guarantee>
    </user-data-constraint>
  </security-constraint>
  -->
</web-app>

